import { SQS } from 'aws-sdk';
import { FrameworkConfig } from '../../../shared/types';
export interface IOptions {
    ensureCreated?: boolean;
    awsOptions?: SQS.Types.SendMessageRequest;
}
export default class AwsSqsClient {
    readonly coreConfig: FrameworkConfig;
    readonly sqs: SQS;
    constructor(coreConfig: FrameworkConfig, sqs: SQS);
    createQueue(queueName: string): Promise<import("aws-sdk/lib/request").PromiseResult<SQS.GetQueueUrlResult, import("aws-sdk").AWSError>>;
    sendMessage(queueName: string, messageBody: any, options?: IOptions): Promise<import("aws-sdk/lib/request").PromiseResult<SQS.SendMessageResult, import("aws-sdk").AWSError>>;
    deleteMessage(queueName: string, receiptHandle: string): Promise<{
        $response: import("aws-sdk").Response<{}, import("aws-sdk").AWSError>;
    }>;
    deleteQueue(queueName: string): Promise<{
        $response: import("aws-sdk").Response<{}, import("aws-sdk").AWSError>;
    }>;
    getQueueUrl(queueName: string): string;
}
